From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/ekopath/
Date: Mon, 10 Aug 2015 07:15:54 +0000 (UTC) [thread overview]
Message-ID: <1439190935.01252a0e10c25465ae7f5c10d54706682a0cc781.mgorny@gentoo> (raw)
commit: 01252a0e10c25465ae7f5c10d54706682a0cc781
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 10 07:14:27 2015 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 10 07:15:35 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01252a0e
dev-lang/ekopath: Snapshot bump
Package-Manager: portage-2.2.20
dev-lang/ekopath/Manifest | 1 +
dev-lang/ekopath/ekopath-6.0.477_p20150809.ebuild | 74 +++++++++++++++++++++++
2 files changed, 75 insertions(+)
diff --git a/dev-lang/ekopath/Manifest b/dev-lang/ekopath/Manifest
index 6fb3ce5..6f8f5f0 100644
--- a/dev-lang/ekopath/Manifest
+++ b/dev-lang/ekopath/Manifest
@@ -1,3 +1,4 @@
DIST ekopath-2015-06-29-installer.run 61567050 SHA256 b98b2b686a7a9624b81838a37b64d8bbfc450b40c7fdfd9957c8a1690a68d4a8 SHA512 e56a9436f837df8d7acd3b9789d50316002ff42b0139b9aa7025f63ad27d98c586715277f3818a10a443d28653a1afd52f69b7101b36afd40beb4594ecbd8f91 WHIRLPOOL 42fe5fc00e83990bcf7c05a76e861d86626d54249da58608d6925323a522f7f2dc5806807aa56deceacce701386163eb34d96344fda4c49bd9b71bedc029ae3b
DIST ekopath-2015-07-07-installer.run 59012713 SHA256 7e0026405b38f46932fc5b11ebef4c828bc9c0cf05e85f365d314949a091bdd0 SHA512 c68a4b986e9f48ae70c891535a71238a43ba5afa5dcf36c900798292096abf245cc434b03dee8c9ad87e35d7ac1f27c361edcec41dae9989fee6092dd98f5fd3 WHIRLPOOL d32c2564d0c5240fa9c112224c52b38ec2a96062c69d6e4264e610e531258fc3bf8205c4c338890ece3cecf857ffa32cced2d20339f69f098e064bf96306c51e
DIST ekopath-2015-08-03-installer.run 59079587 SHA256 21e2f3339321e0de09a3e5df250c2dc52aa2ad9c95534a19539c342817f14c2b SHA512 1628f9bfbbce19d666a7ea6158c0abf6a159ef7680854456cfa811fe2a55b9228b34105ce97894af6d714fe23d2d3f0b3f0829c6dec67dd1318b52b3bc541b09 WHIRLPOOL 0978ecb39a8ef3291f05730b17c4df86538a540d5b8f01da699ed821f2aab8da8578a7a0b19a5af74fa560b1ae7c4d6ac06d178aff49aa1fd4b3440b8aa5d0e5
+DIST ekopath-2015-08-09-installer.run 58521154 SHA256 7ecd2a03012e36851f69ab35f18905793212e2feae5c242f48d8f26722c5c1ca SHA512 f7da95fa987b262aafa434487cfb64340b2be754b8e119729de998c0ccddde3bbea4f3994ecd1643dbf5e49f3a48e6173be9d0102f7eb29e41d14f0914893a5b WHIRLPOOL d9cabf4787229ff2027569f7f73095a37b40c654ed0e201478a0e100cfa091ff82f3478c6b41c992288c4711823690bb0958cb1a9209ac595bb4930aaa99af4b
diff --git a/dev-lang/ekopath/ekopath-6.0.477_p20150809.ebuild b/dev-lang/ekopath/ekopath-6.0.477_p20150809.ebuild
new file mode 100644
index 0000000..8f7e034
--- /dev/null
+++ b/dev-lang/ekopath/ekopath-6.0.477_p20150809.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/ekopath/ekopath-6.0.468_p20150803.ebuild,v 1.1 2015/08/04 16:35:58 mgorny Exp $
+
+EAPI=5
+
+inherit versionator multilib pax-utils
+
+MY_PV=$(get_version_component_range 1-3)
+DATE=$(get_version_component_range 4)
+DATE=${DATE#p}
+DATE=${DATE:0:4}-${DATE:4:2}-${DATE:6}
+INSTALLER=${PN}-${DATE}-installer.run
+
+DESCRIPTION="PathScale EKOPath Compiler Suite"
+HOMEPAGE="http://www.pathscale.com/ekopath-compiler-suite"
+SRC_URI="http://c591116.r16.cf2.rackcdn.com/${PN}/nightly/Linux/${INSTALLER}"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="!!app-arch/rpm"
+RDEPEND=""
+
+RESTRICT="bindist mirror"
+
+QA_PREBUILT="
+ opt/${PN}/lib/${MY_PV}/x8664/*
+ opt/${PN}/bin/*"
+
+S="${WORKDIR}"
+
+src_unpack() {
+ cp "${DISTDIR}/${INSTALLER}" "${S}/" || die
+ chmod +x "${S}/${INSTALLER}" || die
+}
+
+src_prepare() {
+ cat > 99${PN} <<-EOF
+ PATH=${EROOT%/}/opt/${PN}/bin
+ ROOTPATH=${EROOT%/}/opt/${PN}/bin
+ LDPATH=${EROOT%/}/opt/${PN}/lib:${EROOT%/}/opt/${PN}/lib/${MY_PV}/x8664/64
+ MANPATH=${EROOT%/}/opt/${PN}/docs/man
+ EOF
+}
+
+src_install() {
+ # EI_PAX marking is obsolete and PT_PAX breaks the binary.
+ # We must use XT_PAX to run the installer.
+ if [[ ${PAX_MARKINGS} == "XT" ]]; then
+ pax-mark m "${INSTALLER}"
+ fi
+
+ ./"${INSTALLER}" \
+ --prefix "${ED%/}/opt/${PN}" \
+ --mode unattended || die
+
+ if [[ ! -d ${ED%/}/opt/${PN}/lib/${MY_PV} ]]; then
+ local guess
+ cd "${ED%/}/opt/${PN}/lib" && guess=( * )
+
+ if [[ ${guess[@]} ]]; then
+ die "Incorrect release version in PV, guessing it should be: ${guess[*]}"
+ else
+ die "No libdir installed"
+ fi
+ fi
+ [[ -x ${ED%}/opt/${PN}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
+
+ rm -r "${ED}/opt/${PN}"/uninstall* || die
+ doenvd 99${PN}
+}
next reply other threads:[~2015-08-10 7:16 UTC|newest]
Thread overview: 31+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-08-10 7:15 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-08-12 20:51 [gentoo-commits] repo/gentoo:master commit in: dev-lang/ekopath/ Michał Górny
2015-09-11 18:51 Michał Górny
2015-09-22 17:42 Michał Górny
2015-10-11 18:19 Michał Górny
2015-10-12 8:52 Michał Górny
2015-10-30 23:37 Michał Górny
2015-10-30 23:37 Michał Górny
2015-12-02 20:08 Michał Górny
2015-12-12 12:59 Michał Górny
2015-12-14 22:14 Michał Górny
2016-01-01 10:25 Michał Górny
2016-01-01 10:25 Michał Górny
2016-01-25 19:45 Michał Górny
2016-03-04 6:12 Michał Górny
2016-03-12 13:41 Michał Górny
2016-03-12 16:33 Michał Górny
2016-03-12 16:33 Michał Górny
2016-03-12 16:33 Michał Górny
2016-03-12 16:33 Michał Górny
2016-03-12 16:33 Michał Górny
2016-03-19 14:03 Michał Górny
2016-03-25 8:28 Michał Górny
2016-04-10 12:34 Michał Górny
2016-04-29 9:27 Michał Górny
2016-04-29 9:27 Michał Górny
2016-06-23 12:48 Michał Górny
2016-06-30 17:07 Michał Górny
2016-10-21 18:58 Michał Górny
2016-10-21 18:58 Michał Górny
2018-06-14 9:30 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1439190935.01252a0e10c25465ae7f5c10d54706682a0cc781.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox